Subject: bug#993: 23.0.60; vc-find-root heuristic unreliable on Windows with Cygwin

From: Stefan Monnier <[email-masked]>
Date: Wed, 29 Oct 2008 10:49:21 -0400

>> Time to customize locate-dominating-stop-dir-regexp I suppose...
> BTW, it seems you are stopping one directory too late, in that in
> order to stop Emacs looking up things like "/afs/.hg", I have to an
> add an element of the form "\\`/afs/[^/]+\\'".

Looks like a bug, then.

> In other words, locate-dominating-stop-dir-regexp is the last
> directory in which you _do_ scan, whereas it might be simpler if it
> were the first _not_ scanned.

That was the intention, and it worked like that at some point.

> I would also suggest adding /home and perhaps /nfs, as well as /afs
> and /net, to the default. Actually, I don't see why the default stop
> should not just match "\\`/[^/]+\\'".

/home might be OK.  "\\`/[^/]+\\'" is not, because several people use
revision control for /etc.

        Stefan